<!-- Main Area -->
<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-icon card-header-info">
                        <div class="card-icon">
                            <i class="material-icons">assignment</i>
                        </div>
                        <h4 class="card-title">Người dùng</h4>
                    </div>
                    <div class="card-body">
                        <form>
                            <!-- <div class="row">
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <mat-label>Trung tâm kinh doanh</mat-label>
                                        <mat-select matInput [(ngModel)]="reseller_id" name="reseller_id"
                                            (ngModelChange)="resellerChange()" [disabled]="reseller_lock">
                                            <mat-option value="-1"> Không chọn </mat-option>
                                            <mat-option *ngFor="let reseller of reseller_list" value="{{reseller[0]}}">
                                                {{reseller[1]}}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <mat-label>Đại lý</mat-label>
                                        <mat-select matInput [(ngModel)]="customer_id" name="customer_id"
                                            (ngModelChange)="customerChange()" [disabled]="customer_lock">
                                            <mat-option value="-1"> Không chọn </mat-option>
                                            <mat-option *ngFor="let customer of customer_list" value="{{customer[0]}}">
                                                {{customer[1]}}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <mat-form-field class="example-full-width">
                                        <input matInput [(ngModel)]="id" name="id" placeholder="ID người dùng">
                                    </mat-form-field>
                                </div>
                                <div class="col-md-4">
                                    <mat-form-field class="example-full-width">
                                        <input matInput [(ngModel)]="username" name="username"
                                            placeholder="Tên đăng nhập">
                                    </mat-form-field>
                                </div>
                                <div class="col-md-4">
                                    <mat-form-field class="example-full-width">
                                        <input matInput [(ngModel)]="name" name="name" placeholder="Tên người dùng">
                                    </mat-form-field>
                                </div>
                            </div> -->
                            <button mat-raised-button type="submit" class="btn btn-primary pull-right"
                                (click)="search()">
                                Tìm kiếm
                            </button>
                            <button mat-raised-button class="btn btn-primary pull-right" data-toggle="modal"
                                data-target="#createUser" (click)="onCreateMode()">
                                Thêm mới
                            </button>
                            <div class="clearfix"></div>
                        </form>

                        <div *ngIf="!showTable">Không có dữ liệu</div>

                        <div *ngIf="showTable">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead class=" text-primary">
                                        <tr>
                                            <th> STT </th>
                                            <th> ID người dùng </th>
                                            <th> Tên đăng nhập </th>
                                            <th> Tên người dùng </th>
                                            <th> Email </th>
                                            <th> Số điện thoại </th>
                                            <th> Ngày bắt đầu </th>
                                            <th> Ngày kết thúc </th>
                                            <th> Đang hoạt động </th>
                                            <th> Đang bị khóa </th>
                                            <th> Chức năng </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let row of users; let i = index">
                                            <td> {{i + 1}} </td>
                                            <td> {{row.ID}} </td>
                                            <td> {{row.USER_NAME}} </td>
                                            <td> {{row.FULL_NAME}} </td>
                                            <td> {{row.EMAIL}} </td>
                                            <td> {{row.TELEPHONE}} </td>
                                            <td> {{row.START_DATE}} </td>
                                            <td> {{row.END_DATE}} </td>
                                            <td> {{row.IS_ENABLED=='1' ? 'Có' : 'Không'}} </td>
                                            <td> {{row.IS_LOCKED=='1' ? 'Có' : 'Không'}} </td>
                                            <td class="td-actions text-left">
                                                <button mat-raised-button type="button" class="btn btn-primary btn-link"
                                                    data-toggle="modal" data-target="#updateUser"
                                                    (click)="onUpdateMode(row)">
                                                    <i class="material-icons">edit</i>
                                                </button>
                                                <button mat-raised-button type="button" class="btn btn-primary btn-link"
                                                    (click)="delete(row)">
                                                    <i class="material-icons">delete</i>
                                                </button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="row">
                                        <label class="col-md-2 col-form-label">Số bản ghi tối đa </label>
                                        <mat-form-field class="example-full-width" style="width:40px">
                                            <mat-select matInput [(ngModel)]="limit" name="limit"
                                                (ngModelChange)="limitChange()">
                                                <mat-option [value]="10">10</mat-option>
                                                <mat-option [value]="20">20</mat-option>
                                                <mat-option [value]="50">50</mat-option>
                                                <mat-option [value]="100">100</mat-option>
                                            </mat-select>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <ul class="pagination pull-right">
                                        <li class="page-item">
                                            <a mat-button class="page-link" aria-label="Previous"
                                                (click)="pageChange((page === 1) ? page : page - 1)">
                                                <span aria-hidden="true"><i class="fa fa-angle-double-left"
                                                        aria-hidden="true"></i></span>
                                            </a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page !== 1"
                                                (click)="pageChange(1)">1</a>
                                        </li>
                                        <div *ngIf="page > 3">
                                            ...
                                        </div>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page > 2"
                                                (click)="pageChange(page - 1)">{{page - 1}}</a>
                                        </li>
                                        <li class="page-item active">
                                            <a mat-button class="page-link" (click)="pageChange(page)">{{page}}</a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page < end - 1"
                                                (click)="pageChange(page + 1)">{{page + 1}}</a>
                                        </li>
                                        <div *ngIf="page < end - 2">
                                            ...
                                        </div>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page !== end"
                                                (click)="pageChange(end)">{{end}}</a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" aria-label="Next"
                                                (click)="pageChange((page * limit >= total) ? page : page + 1)">
                                                <span aria-hidden="true"><i class="fa fa-angle-double-right"
                                                        aria-hidden="true"></i></span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Spinner Area -->
<app-spinner></app-spinner>

<!-- Modals Area -->
<div class="modal fade" id="createUser" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Thêm mới Người dùng</h4>
                <button mat-button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                    id="createUserClose">
                    <i class="material-icons">clear</i>
                </button>
            </div>
            <div class="modal-body">
                <p> Thêm mới Người dùng theo các dữ liệu nhập vào. </p>

                <div class="form-group bmd-form-group is-filled">
                    <form>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_full_name" name="create_full_name"
                                        placeholder="Tên người dùng" [formControl]="create_full_name_control" required>
                                    <mat-error *ngIf="create_full_name_control.invalid">Thiếu tên người dùng</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_user_name" name="create_user_name"
                                        placeholder="Tên đăng nhập" [formControl]="create_user_name_control" required>
                                    <mat-error *ngIf="create_user_name_control.invalid">Thiếu tên đăng nhập</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_user_password" name="create_user_password"
                                        type="password" placeholder="Mật khẩu"
                                        [formControl]="create_user_password_control" required>
                                    <mat-error *ngIf="create_user_password_control.invalid">Thiếu mật khẩu</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_email" name="create_email" placeholder="Email"
                                        [formControl]="create_email_control" required>
                                    <mat-error *ngIf="create_email_control.invalid">Thiếu Email</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_telephone" name="create_telephone"
                                        placeholder="Số điện thoại" [formControl]="create_telephone_control" required>
                                    <mat-error *ngIf="create_telephone_control.invalid">Thiếu số điện thoại</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_start_date" name="create_start_date"
                                        [matDatepicker]="createStartDate" (click)="createStartDate.open()"
                                        placeholder="Ngày bắt đầu">
                                    <mat-datepicker-toggle matSuffix [for]="createStartDate"></mat-datepicker-toggle>
                                    <mat-datepicker #createStartDate></mat-datepicker>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_end_date" name="create_end_date"
                                        [matDatepicker]="createEndDate" (click)="createEndDate.open()"
                                        placeholder="Ngày kết thúc">
                                    <mat-datepicker-toggle matSuffix [for]="createEndDate"></mat-datepicker-toggle>
                                    <mat-datepicker #createEndDate></mat-datepicker>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin" [(ngModel)]="create_is_enabled"
                                        name="create_is_enabled">Đang hoạt động</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin" [(ngModel)]="create_is_locked"
                                        name="create_is_locked">Đang bị khóa</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin"
                                        [(ngModel)]="create_must_change_pass_next_logon"
                                        name="create_must_change_pass_next_logon">Phải đổi mật khẩu</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin" [(ngModel)]="create_cant_change_pass"
                                        name="create_cant_change_pass">Không thể đổi mật khẩu</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin" [(ngModel)]="create_pass_never_expire"
                                        name="create_pass_never_expire">Mật khẩu không hết hạn</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </form>
                </div>
            </div>
            <div class="modal-footer">
                <button mat-raised-button type="button" class="btn btn-primary btn-link" (click)="create()">Thêm
                    mới</button>
                <button mat-raised-button type="button" class="btn btn-danger btn-link"
                    data-dismiss="modal">Thoát</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="updateUser" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Cập nhật Người dùng</h4>
                <button mat-button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                    id="updateUserClose">
                    <i class="material-icons">clear</i>
                </button>
            </div>
            <div class="modal-body">
                <p> Cập nhật thông tin Người dùng theo các dữ liệu nhập vào. </p>

                <div class="form-group bmd-form-group is-filled">
                    <form>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="update_full_name" name="update_full_name"
                                        placeholder="Tên người dùng" [formControl]="update_full_name_control" required>
                                    <mat-error *ngIf="update_full_name_control.invalid">Thiếu tên người dùng</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="update_email" name="update_email" placeholder="Email"
                                        [formControl]="update_email_control" required>
                                    <mat-error *ngIf="update_email_control.invalid">Thiếu Email</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="update_telephone" name="update_telephone"
                                        placeholder="Số điện thoại" [formControl]="update_telephone_control" required>
                                    <mat-error *ngIf="update_telephone_control.invalid">Thiếu số điện thoại</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="update_start_date" name="update_start_date"
                                        [matDatepicker]="updateStartDate" (click)="updateStartDate.open()"
                                        placeholder="Ngày bắt đầu">
                                    <mat-datepicker-toggle matSuffix [for]="updateStartDate"></mat-datepicker-toggle>
                                    <mat-datepicker #updateStartDate></mat-datepicker>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="update_end_date" name="update_end_date"
                                        [matDatepicker]="updateEndDate" (click)="updateEndDate.open()"
                                        placeholder="Ngày kết thúc">
                                    <mat-datepicker-toggle matSuffix [for]="updateEndDate"></mat-datepicker-toggle>
                                    <mat-datepicker #updateEndDate></mat-datepicker>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin" [(ngModel)]="update_is_enabled"
                                        name="update_is_enabled">Đang hoạt động</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin" [(ngModel)]="update_is_locked"
                                        name="update_is_locked">Đang bị khóa</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin"
                                        [(ngModel)]="update_must_change_pass_next_logon"
                                        name="update_must_change_pass_next_logon">Phải đổi mật khẩu</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin" [(ngModel)]="update_cant_change_pass"
                                        name="update_cant_change_pass">Không thể đổi mật khẩu</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <section class="example-section">
                                    <mat-checkbox class="example-margin" [(ngModel)]="update_pass_never_expire"
                                        name="update_pass_never_expire">Mật khẩu không hết hạn</mat-checkbox>
                                </section>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </form>
                </div>
            </div>
            <div class="modal-footer">
                <button mat-raised-button type="button" class="btn btn-primary btn-link" (click)="update()">Thay
                    đổi</button>
                <button mat-raised-button type="button" class="btn btn-danger btn-link"
                    data-dismiss="modal">Thoát</button>
            </div>
        </div>
    </div>
</div>